curl -X GET https://jmpy.me/api/v1/qr-ab-tests/test_987654321 \
-H "Authorization: Bearer <token>"
{
"test": {
"id": "test_987654321",
"name": "Menu Layout Test",
"description": "Testing new vs old menu PDF",
"status": "running",
"variants": [
{
"id": "var_1",
"name": "Original Menu",
"destination_url": "https://restaurant.com/menu-v1",
"traffic_weight": 50
},
{
"id": "var_2",
"name": "New Menu",
"destination_url": "https://restaurant.com/menu-v2",
"traffic_weight": 50
}
]
}
}
Get details of a specific QR A/B test
curl -X GET https://jmpy.me/api/v1/qr-ab-tests/test_987654321 \
-H "Authorization: Bearer <token>"
{
"test": {
"id": "test_987654321",
"name": "Menu Layout Test",
"description": "Testing new vs old menu PDF",
"status": "running",
"variants": [
{
"id": "var_1",
"name": "Original Menu",
"destination_url": "https://restaurant.com/menu-v1",
"traffic_weight": 50
},
{
"id": "var_2",
"name": "New Menu",
"destination_url": "https://restaurant.com/menu-v2",
"traffic_weight": 50
}
]
}
}
curl -X GET https://jmpy.me/api/v1/qr-ab-tests/test_987654321 \
-H "Authorization: Bearer <token>"
const testId = 'test_987654321';
const response = await fetch(`https://jmpy.me/api/v1/qr-ab-tests/${testId}`, {
headers: { 'Authorization': 'Bearer <token>' }
});
import requests
test_id = 'test_987654321'
response = requests.get(
f'https://jmpy.me/api/v1/qr-ab-tests/{test_id}',
headers={'Authorization': 'Bearer <token>'}
)
{
"test": {
"id": "test_987654321",
"name": "Menu Layout Test",
"description": "Testing new vs old menu PDF",
"status": "running",
"variants": [
{
"id": "var_1",
"name": "Original Menu",
"destination_url": "https://restaurant.com/menu-v1",
"traffic_weight": 50
},
{
"id": "var_2",
"name": "New Menu",
"destination_url": "https://restaurant.com/menu-v2",
"traffic_weight": 50
}
]
}
}
curl -X GET https://jmpy.me/api/v1/qr-ab-tests/test_987654321 \
-H "Authorization: Bearer <token>"
{
"test": {
"id": "test_987654321",
"name": "Menu Layout Test",
"description": "Testing new vs old menu PDF",
"status": "running",
"variants": [
{
"id": "var_1",
"name": "Original Menu",
"destination_url": "https://restaurant.com/menu-v1",
"traffic_weight": 50
},
{
"id": "var_2",
"name": "New Menu",
"destination_url": "https://restaurant.com/menu-v2",
"traffic_weight": 50
}
]
}
}